#include "sanitize.h"

void replaceAll(std::string& str, const std::string& from, const std::string& to) {
	if(from.empty()) {
		return;
	}
	size_t start_pos = 0;
	while((start_pos = str.find(from, start_pos)) != std::string::npos) {
		str.replace(start_pos, from.length(), to);
		start_pos += to.length();
	}
}

int main(int argc, char** argv) {
	std::string ui;
	while(std::getline(std::cin, ui)) {
		
		//Replace any instances of a possible attack
		replaceAll(ui, "&", "");
		replaceAll(ui, "%", "");
		
		std::ofstream file;
		file.open("input.txt");
		file << ui;
		file.close();
		return 0;
	}
}
