@echo off
title Compile sanitize

::Delete remedies
IF EXIST "bin\sanitize.exe" del "bin\sanitize.exe"
IF EXIST "resources\res.o" del "resources\res.o"
cls

::Make resources
:resource
windres "resources\res.rc" "bin\res.o"

::Check if the resource exists, if not, let user see what went wrong
IF NOT EXIST "bin\res.o" ( pause & cls & goto :resource )
echo Resource Created.

::Compile
:compile
g++ -o "bin\sanitize.exe" "src\main.cpp" "bin\res.o" -s -Os

IF NOT EXIST "bin\sanitize.exe" ( pause & cls & goto :compile )
del "bin\res.o"
echo EXE Compiled.
cd bin

::Call on UPX to shorten EXE

::Run exe
cls

"sanitize.exe"
pause
exit \b 0 
